/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <July 20, 2026> */

	/*fonts*/

	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, transparent);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}

span.caret {
    border-color: #616161;
}

body[data-page-name="index"] #navigation {
	position: absolute;
	z-index: 3;
}

/* Button */
	/**/
element.style {
    border-radius: 0px;
}

a.cta-btn-circle.secondary {
    color: var(--color-primary-text);
}

.t-swiper-button-next, .t-swiper-button-prev, .brand-4-swiper-button-next, .brand-4-swiper-button-prev {
    color: var(--color-primary-text);
}

/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
#hp-slider .swiper-pagination-bullet {
    background-color: white;
}
/* CTA */
	/**/
.bg-secondary-background {
    background-image: url('https://s3.amazonaws.com/static.organiclead.com/Site-ef27687c-6115-4688-9f97-bd86195e66c9/images/EyecareAssoc_Background_Image.jpg');
}

/* Welcome */
	/**/
#welcome-wrap .text-wrapper h2 {
    text-align: left !important;
}

#welcome-wrap .ry-text p {
    text-align: left !important;
}

#welcome-wrap .ry-btn {
    margin-left: 0 !important;
    margin-right: auto !important;
}

.module-welcome.style-5 .ry-each.image-wrapper{
    border: none;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    left: 5rem;
    object-fit: contain;
}

.module-welcome.style-5 .ry-flex{
    align-items: center;
} 

.module-welcome.style-5 .ry-each.image-wrapper .photo {
    padding-top: 40%;
}

#welcome-wrap :before {
    background-color: white;
}

.module-welcome.style-5 .ry-each.image-wrapper {
    max-width: 50rem !important;
}

/* Services */
	/**/
#section-hp-services::before, .ry-services.style2::before {
    background-image: url("https://s3.amazonaws.com/static.organiclead.com/Site-fb94d903-25cf-484e-9c89-f1a3ac7a7723/images/VSHugo_Section_Background.jpg");
}

#services-12 > div:nth-child(odd), #services-12 > 
div:nth-child(even) {
    background-color: var(--color-primary-background);
}

#services-12 > div:nth-child(odd) > div > h4, 
#services-12 > div:nth-child(odd) > div > p {
    color: var(--color-primary-text);
}

#services-12 > div:nth-child(odd) > div > p, 
#services-12 > div:nth-child(even) > div > p {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
}

#services-12 > div:nth-child(even) > div > a {
    color: var(--color-primary-text);
    background-color: var(--color-secondary-background);
}

#services-12 > div:nth-child(2n+1) > div > a {
    background-color: var(--color-secondary-background);
}

#services-12 > div:nth-child(even) .photo {
    border: 2px solid white;
}

#services-12 > div:nth-child(even) img{
    filter: none !important;
}

/* Meet the Team */
	/**/
#section-hp-team #loadMoreTeam {
    border: 1px solid #ffffff !important;
    color: #ffffff !important;
}

#section-hp-team a[href*="our-team"] {
    background-color: #ffffff !important;
    color: var(--color-primary-background) !important;
    border-color: #ffffff !important;
}

/* Insurance */
	/**/
div#hp-insurance-1 {
    background-image: url("https://s3.amazonaws.com/static.organiclead.com/Site-ef27687c-6115-4688-9f97-bd86195e66c9/images/EyecareAssoc_Background_Image.jpg");
}

div#hp-insurance-1 .swiper-backface-hidden .swiper-slide{
    background-color: #F2F4F7 !important;
    border-radius: 1rem; 
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.05), 
                0 1px 2px -1px rgba(0, 0, 0, 0.05);
    border: 1px solid rgba(0, 0, 0, 0.04);
}

/* Brand */
	/**/
div#hp-brands-6{
    background-color: white;
}

.brands-swiper-4 img {
    mix-blend-mode: normal;
}

div#hp-brands-6 .swiper-backface-hidden .swiper-slide{
    background-color: #F2F4F7 !important;
    border-radius: 1rem; 
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.05), 
                0 1px 2px -1px rgba(0, 0, 0, 0.05);
    border: 1px solid rgba(0, 0, 0, 0.04);
}

/* Request Appointment */
	/**/
.ry-section:nth-child(2n+1) {
    background-image: url("https://s3.amazonaws.com/static.organiclead.com/Site-ef27687c-6115-4688-9f97-bd86195e66c9/images/EyecareAssoc_Background_Image.jpg");
}

/* Testimonials */
	/**/
.testimonials-swiper svg{
    color: rgb(253 224 71 / var(--tw-text-opacity, 1));
}

.ry-section:nth-child(2n) {
    background-image: url("https://s3.amazonaws.com/static.organiclead.com/Site-ef27687c-6115-4688-9f97-bd86195e66c9/images/EyecareAssoc_Background_Image.jpg");
}

/* Footer */
	/**/
#ry-footer-3::after {
    z-index: -1;
    background-image: url("https://s3.amazonaws.com/static.organiclead.com/Site-ef27687c-6115-4688-9f97-bd86195e66c9/images/EyecareAssoc_Footer_Background_Image.jpg");
}

/*Media Queries*/
	/**/
@media (max-width: 1080px) {
    .module-welcome.style-5 .ry-each.image-wrapper .photo{
        padding-top: 10%;
    }   
	.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    left: 0;
	}
}

@media (max-width: 1440px) {
    ul.ry-nav {
        padding-left: 3rem !important;
    }
}
@media (max-width: 1023px) {
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img{
        height: 100% !important;
    }
    body[data-page-name="index"] #navigation {
    position: relative;
    }
}

/* End - HP Edits*/

.grid-gallery .gallery-wrapper-v2 {
	display: flex;
	flex-wrap: wrap;
	width: 100%;
	justify-content: center;
	gap:10px
}

.grid-gallery .gallery-wrapper-v2 .ry-each {
	width: calc(33% - 10px);
}
.grid-gallery .gallery-wrapper-v2 .ry-each:hover {
	cursor: pointer;
}

.grid-gallery .gallery-wrapper-v2 .ry-each .box-shadow {
	position: absolute;
	top: -10px;
	right: -10px;
	width: calc(100% - 10px);
	height: 100%;
}
.grid-gallery .gallery-wrapper-v2 .ry-each .photo {
	position: relative;
	max-height: 230px;
	height:100%;
}

.grid-gallery .gallery-wrapper-v2 .ry-each .photo img {
	width: 100%;
	height:100%;
	object-fit: cover;
	margin:0 !important;
	object-fit:cover
}
.fancybox-caption .fancybox-caption__body {
	text-align: center;
}

.fancybox-caption:after {
	opacity: 0;
}
@media (max-width: 1480px) {
	.grid-gallery .gallery-wrapper-v2 .ry-each {
		width: calc(33.33% - 10px);
	}
}
@media (max-width: 680px) {
	.grid-gallery .gallery-wrapper-v2 .ry-each {
		width: 47%;
	}
}

.swiper-button-next {
    display:none;
}
.swiper-button-prev{
    display:none;
}

body[data-page-name="frames"] div#hp-brands-6 {
    background-color:unset !important;
}

body[data-page-name="frames"] #hp-brands-6::before{
    display:none;
}

@media (max-width: 1024px) {
	#welcome-wrap .text-wrapper h2, #welcome-wrap .ry-text p {
		text-align: center !important;
	}
	#welcome-wrap .ry-btn {
		margin: 0 auto !important;
	}
}
@media (max-width: 991px) {
	.promotions img {
		margin: 0 auto;
		max-width: 100%;
        min-width: 100%;
	}
	div#in-services-3 .promotions * {
		text-align: center
	}
}